SDL_asin(3)

NAME
SDL_asin - Compute the arc sine of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_asin(double x);

DESCRIPTION
The definition of y=asin(x) is x=sin(y) . Domain: -1<=x<=1 Range: -Pi/2<=y<=Pi/2 This function operates on double-precision floating point values, use SDL_asinf
 for single-precision floats. This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns arc sine of x , in radians.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_asinf(3), SDL_acos(3), SDL_sin(3)